### Method

# Adw ButtonContentset_can_shrink

since: 1.4

#### Declaration [src]

    void
    adw_button_content_set_can_shrink (
      AdwButtonContent* self,
      gboolean can_shrink
    )

#### Description [src]

Sets whether the button can be smaller than the natural size of its contents.

If set to `TRUE`, the label will ellipsize.

See `gtk_button_set_can_shrink()`.

Available since: 1.4

Sets property | `Adw.ButtonContent:can-shrink`

#### Parameters

`can_shrink`

  Type: `gboolean`

  Whether the button can shrink.